FROM python:3.9

RUN apt-get update \
    && apt-get install -y --no-install-recommends \
        postgresql-client \
    && apt-get install -y cron\
    && rm -rf /var/lib/apt/lists/*
RUN pip install --upgrade pip
WORKDIR /usr/src/app
COPY requirements.txt ./
RUN pip install -r requirements.txt
#COPY . .

EXPOSE 8000
CMD ["python", "manage.py", "runserver", "0.0.0.0:8000"]
CMD ["python", "manage.py", "crontab", "add"]
